import request from '@/utils/request'

// 查询关于我们列表
export function listAboutUs(query) {
  return request({
    url: '/management/aboutUs/list',
    method: 'get',
    params: query
  })
}

// 查询关于我们详细
export function getAboutUs(aboutUsId) {
  return request({
    url: '/management/aboutUs/' + aboutUsId,
    method: 'get'
  })
}

// 新增关于我们
export function addAboutUs(data) {
  return request({
    url: '/management/aboutUs',
    method: 'post',
    data: data
  })
}

// 修改关于我们
export function updateAboutUs(data) {
  return request({
    url: '/management/aboutUs',
    method: 'put',
    data: data
  })
}

// 删除关于我们
export function delAboutUs(aboutUsId) {
  return request({
    url: '/management/aboutUs/' + aboutUsId,
    method: 'delete'
  })
}

// 导出关于我们
export function exportAboutUs(query) {
  return request({
    url: '/management/aboutUs/export',
    method: 'get',
    params: query
  })
}